io.netty.handler.codec.mqtt

## Class MqttSubscribePayload

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttSubscribePayload

    public final class MqttSubscribePayload
    extends Object

Payload of the `MqttSubscribeMessage`

### Constructor Summary

Constructors
Constructor and Description
`MqttSubscribePayload(List<MqttTopicSubscription> topicSubscriptions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<MqttTopicSubscription>` `topicSubscriptions()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttSubscribePayload

    public MqttSubscribePayload(List<MqttTopicSubscription> topicSubscriptions)

### Method Detail

#### topicSubscriptions

    public List<MqttTopicSubscription> topicSubscriptions()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`